commit e527b92b183de8c887213ccf6b024ddb4e363865
Author: Jan Hubicka <hubicka@ucw.cz>
Date:   Mon Aug 23 16:16:25 2021

    Fix previous ipa-modref patch
    
    gcc/ChangeLog:
    
            PR middle-end/101949
            * ipa-modref.c (analyze_ssa_name_flags): Fix merging of
            EAF_NOCLOBBER
    
    (cherry picked from commit 5bd4ab91660c8f5534c46979d4846a4f1a0972b0)

diff --git a/gcc/ipa-modref.c b/gcc/ipa-modref.c
index dc5ee8cc2d0..80f192d9025 100644
--- a/gcc/ipa-modref.c
+++ b/gcc/ipa-modref.c
@@ -1628,7 +1628,7 @@ analyze_ssa_name_flags (tree name, vec<modref_lattice> &lattice, int depth,
 	     is on since that would allow propagation of this from -fno-ipa-pta
 	     to -fipa-pta functions.  */
 	  if (gimple_call_fn (use_stmt) == name)
-	    lattice[index].merge (~EAF_NOCLOBBER);
+	    lattice[index].merge (~(EAF_NOCLOBBER | EAF_UNUSED));
 
 	  /* Return slot optimization would require bit of propagation;
 	     give up for now.  */

